Bug 82684 - TABLE: Table shows fake border lines on page breaks
Summary: TABLE: Table shows fake border lines on page breaks
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 104188 (view as bug list)
Depends on:
Blocks: Table-Borders Writer-Page-Break
  Show dependency treegraph
 
Reported: 2014-08-15 22:33 UTC by Magalaan
Modified: 2018-06-15 02:45 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Document1 (9.52 KB, application/vnd.oasis.opendocument.text)
2015-03-02 13:28 UTC, Gordo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Magalaan 2014-08-15 22:33:23 UTC
Problem description: 
When a page break is in the middle of a table row, Writer will show a bottom border on the end of the page and a top border on the next page in the middle of a row. 

This is unwanted as it prevents a clear view whether a row extends to the next page or a row started on a previous page. 

Steps to reproduce:
1. create a table with many rows. 
2. Fill each row with many alineas of text
3. Make sure there is page break in the middle of the row

Current behavior:
At the end of the page libre will draw a borderline in the middle of the row. At the beginning of the next page it will draw a top border line in the middle of the row.

Expected behavior:
One expects to see top and bottom border lines only at the actual top and bottom of a row. 

I use tables a lot for storing related topics. I use a two column table, this way I can create titles/authors/comments in the first column and put the topic in the second. It allows to have a smaller, more readable columns of text. The fake borderlines often mislead me. I also use tables for invoices, bills etc. Again the fake horizontal borders are misleading here. 
Operating System: Ubuntu
Version: 4.2.4.2 release
Comment 1 Urmas 2014-08-16 07:24:18 UTC
Corresponds to MSO behavior, not a bug.
Comment 2 Magalaan 2014-08-16 19:54:07 UTC
I am so bold to disagree. For two reasons. 

1 - Is every MS bug for LO wanted behavior? 
If that is LO's ideal than this guarantees that it will always fall short of MSO, as MS will make sure it never reaches full compatibility. I can understand you might want to keep this as the default behavior for compatibility reasons. But it is still a bug, because it does not show table rows as they are. 

2 - In MS Office you can avoid this bug by unchecking to split rows between pages, in LO you can not. So LO behavior is only partly compliant to MSO behavior. And it also makes this bug more serious in LO than MSO. 

Now MS solution is okay, but fails when rows are really big, then you get ineffcient ugly use of space on pages. So I would suggest a threefold option. The two of MS and the one I suggested. Lets make it better, not equally insufficient. 

I am happy to see that LO does some things better then MSO. For instance formula's in tables work far better than in word tables. Table functionality is extremely important as it is used a lot in creating forms, invoices, bills, etc. Something LO is not yet on par with MSO.
Comment 3 Joel Madero 2014-11-04 03:54:33 UTC
Moving to UNCONFIRMED so QA can look at it with fresh eyes.
Comment 4 Joel Madero 2014-11-20 05:34:06 UTC
Sorry but please attach a document - QA does not have the time to reproduce documents from scratch. Marking as NEEDINFO - once you attach a document - set the bug to UNCONFIRMED (please not REOPENED), and then we'll take a look. Thanks!
Comment 5 Gordo 2015-03-02 13:28:28 UTC
Created attachment 113825 [details]
Document1

The attached document shows a row split across a page break.  It visually looks like two rows.  Deleting paragraphs before the table to bring row 6 onto first page shows it is one row.

I don't know when the option was added but if you go into the Table Properties -> Text Flow -> Allow row to break across pages and columns and uncheck that then the row stays together.

Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Comment 6 tommy27 2015-10-04 13:47:39 UTC
if you unckeck that option the table won't go across pages.

but what the user wants is to allow table to go across pages without showing the "fake" borders of the rows that go across the pages.

I think it's a corner case, but I understand why the issue was reported.

so I set status to NEW since I see "fake" borders in the test file under Win8.1x64 using LibO 4.4.5.1
Comment 7 Cor Nouws 2016-05-18 07:26:50 UTC
already the case in LibreOffice 3.3.0
Comment 8 Buovjaga 2016-12-07 14:23:26 UTC
*** Bug 104188 has been marked as a duplicate of this bug. ***
Comment 9 QA Administrators 2018-06-15 02:45:33 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug